1002:6821 Graphical issues when radeon MST enabled

Bug #1509997 reported by Adrian on 2015-10-26
36
This bug affects 7 people
Affects Status Importance Assigned to Milestone
xserver-xorg-driver-ati
Confirmed
High
xserver-xorg-video-ati (Ubuntu)
Low
Unassigned
Nominated for Wily by Alberto Salvia Novella

Bug Description

The kernel was launched with the options: radeon.mst=1 radeon.dpm=1 (however, I noticed identical symptoms for radeon.mst enabled only)
The setup in total includes 3 screens: laptop's one + 2 times Dell U2715H (connected by Display Port daisy chain)
I get Ubuntu login GUI on two Dell screens, laptop's screens got off. The Dell screens are properly detected as separate: I can move mouse from one screen to another. Image on the last Dell screen is defected (blur) as in the attached picture. After login all screens switch to power safe mode.
Afterwards, I'm able to switch to CLI (ALT+CTRL+F2) but screens is doubled on two Dells (they are treated as one), laptop's screen remains off.

WORKAROUND: Use fglrx (tested with fglrx-installer-updates 2:15.201-0ubuntu2~15.10.2)

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: xserver-xorg-video-radeon 1:7.5.0+git20150819-0ubuntu1
ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
Uname: Linux 4.2.0-16-generic x86_64
NonfreeKernelModules: openafs
ApportVersion: 2.19.1-0ubuntu3
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
Date: Mon Oct 26 09:29:05 2015
DistUpgraded: Fresh install
DistroCodename: wily
DistroVariant: ubuntu
DkmsStatus:
 openafs, 1.6.14, 4.2.0-16-generic, x86_64: installed
 vboxhost, 5.0.8, 4.2.0-16-generic, x86_64: installed
ExtraDebuggingInterest: Yes
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Venus XT [Radeon HD 8870M / R9 M270X/M370X] [1002:6821] (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:2254]
InstallationDate: Installed on 2015-04-02 (206 days ago)
InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
MachineType: Hewlett-Packard HP ZBook 15 G2
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.2.0-16-generic.efi.signed root=/dev/mapper/ubuntu--vg-root ro radeon.dpm=1 radeon.mst=1
SourcePackage: xserver-xorg-video-ati
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/23/2015
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: M70 Ver. 01.12
dmi.board.name: 2253
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 03.10
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvrM70Ver.01.07:bd02/26/2015:svnHewlett-Packard:pnHPZBook15G2:pvrA3008CD10003:rvnHewlett-Packard:rn2253:rvrKBCVersion03.10:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP ZBook 15 G2
dmi.product.version: A3008CD10003
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.12.2+15.10.20151015-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.64-1
version.libgl1-mesa-dri: libgl1-mesa-dri 11.0.2-1ubuntu4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.0.2-1ubuntu4
version.xserver-xorg-core: xserver-xorg-core 2:1.17.2-1ubuntu9
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.2-1ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.5.0+git20150819-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20150808-0ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.11-1ubuntu3
xserver.bootTime: Mon Oct 26 09:25:26 2015
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.17.2-1ubuntu9
xserver.video_driver: radeon

Adrian (adrianf0) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Confirmed

I also see this issue. I was hoping to switch back to open source drivers, but I need MST to work. I am also affected by Bug 1493888 but have been able to keep running since I kept my old 3.19.0-31-generic around.

Details have been been submitted here: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/1509997

Today (3.11.2015) I have tried with the newest version from ppa:xorg-edgers/ppa and even with apparently the newest version of the Radeon driver, the problem still exists (the same symptoms) and all screens switch to the standby mode.

The only error message I have managed to spot is:
 [drm:radeon_mst_encoder_dpms [radeon]] *ERROR* DPMS OFF 0

Adrian (adrianf0) wrote :

I have reported the bug to Xorg developers ( [[Bug 92790 | https://bugs.freedesktop.org/show_bug.cgi?id=92790]] ).

This affects my setup and is (I think) the only blocker keeping me from using the open source drivers (which I would prefer). Right now I need to use fglrx to support my 6 monitor setup, 4 of which are daisy-chained on DisplayPort with the last member of the chain using a DisplayPort to DVI adapter.

If there are any proposed fixes, I would be happy to try them out.

I have tried to run the newest kernel 4.3.0 (http://ubuntuhandbook.org/index.php/2015/11/linux-kernel-4-3-released/) and got exactly the same issues.

Changed in xserver-xorg-video-ati (Ubuntu):
importance: Undecided → High
importance: High → Critical
Changed in xserver-xorg-driver-ati:
importance: Unknown → High
status: Unknown → Confirmed
Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Triaged
tags: added: bios-outdated-1.12
Changed in xserver-xorg-video-ati (Ubuntu):
importance: Critical → High
status: Triaged → Incomplete
Adrian (adrianf0) wrote :

Hi,
After BIOS upgrade, the problem is still reproducible. There is no improvement, I get the same error message.

Output of the sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date:
M70 Ver. 01.12
09/23/2015

tags: removed: bios-outdated-1.12
Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → New
Adrian (adrianf0) on 2016-01-11
description: updated
tags: added: latest-bios-1.12

Adrian, given the version of xserver-xrg-video-ati in the Xorg Edgers PPA was already old when you tested it back on Nov. 3, 2015, to see if this is already resolved in Ubuntu could you please test http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Incomplete
summary: - Radeon MST bug
+ 1002:6821 Graphical issues when radeon MST enabled
Adrian (adrianf0) wrote :

I have tried today’s version of the next Ubuntu (16.04) -> the problem hasn't been resolved. The system behaves as my current instillation (15.10) before log-in:
".. two Dell screens, laptop's screens got off. The Dell screens are properly detected as separate: I can move mouse from one screen to another. Image on the last Dell screen is defected (blur) as in the attached picture."

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → New
tags: added: xenial

Adrian, to clarify, does using fglrx provide a WORKAROUND via https://help.ubuntu.com/community/BinaryDriverHowto/AMD ?

Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Incomplete
Adrian (adrianf0) wrote :

Yes, in property drivers (fglrx) the MST feature is implemented correctly and thus can be considered as a workaround.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → New

Adrian, it wouldn't hurt to mention in the upstream report that you tested a much more recent version of the radeon drivers, and fglrx works fine.

Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Triaged
description: updated
Adrian (adrianf0) on 2016-01-11
description: updated
Changed in xserver-xorg-video-ati (Ubuntu):
status: Triaged → New

I have tried with arch kernel 4.4.1, also same issue

I believe I am seeing the same issue. I posted a thread on the Arch Linux forums for guidance, it contains all the details, it is here: https://bbs.archlinux.org/viewtopic.php?id=210338

I am using Linux 4.2.5-1

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Confirmed
Adrian (adrianf0) on 2017-11-03
tags: added: 4.13.0-16-lowlatency artful

Adrian:
1) Regarding tags, while artful is one that is used, 4.13.0-16-lowlatency isn't. Many tags used may be found at: https://wiki.ubuntu.com/Bugs/Tags

Informally, there are kernel specific tags found at: https://wiki.ubuntu.com/Kernel/BugTriage/Responses

2) When posting upstream, they want to see upstream kernels, not Ubuntu kernel. Instructions for this are available at: https://wiki.ubuntu.com/Kernel/MainlineBuilds

Adrian (adrianf0) on 2017-11-03
tags: removed: 4.13.0-16-lowlatency
Chris Hunt (chrahunt) wrote :

DisplayPort MST seems to work with open-source drivers on Ubuntu 16.04.3 after installing HWE + latest kernel (4.15.2). No kernel parameters needed, it just works.

tags: added: bios-outdated-1.19
removed: latest-bios-1.12

Adrian, to see if this is already resolved in ubuntu, could you please test http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

Changed in xserver-xorg-video-ati (Ubuntu):
importance: High → Low
status: Confirmed → Incomplete
Adrian (adrianf0) wrote :

Christopher, I tested the daily build of Ubuntu 18.04 from your link and it does not work - the problem is still there.
What I noticed, the daily build was based on kernel 4.13. I thought 18.04 will be based on kernel 4.15 (Chris mentioned the problem is solved for him in this particular kernel version).

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Confirmed
tags: added: bionic

Adrian:

1) Presently, to test 4.15 in http://cdimage.ubuntu.com/daily-live/current/ you would have to install it (not test a live environment) and enable the Proposed repository.

An alternative is test the latest upstream kernel (now 4.16-rc1) via https://wiki.ubuntu.com/Kernel/MainlineBuilds .

2) To clarify, if you remove all non-default kernel parameters below is the screen glitches present:
radeon.dpm=1
radeon.mst=1

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Incomplete
Adrian (adrianf0) wrote :

Christopher:
I have tried Ubuntu 17.10 with the upstream kernels (4.15.2 and 4.16-rc1) and both behave similarly:

no kernel parameters: screens chained by MST DisplayPort mirror picture, visible as a single screen

radeon.mst=1 : screens chained by MST DisplayPort work properly (seen as separate screens), build screen doesn't work

radeon.mst=1,radeon.dpm=1 : subsequentely flickering screens, not usable

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Confirmed

Adrian:

>"I have tried Ubuntu 17.10 with the upstream kernels (4.15.2 and 4.16-rc1) and both behave similarly:"

Please attach both your dmesg and xorg logs after reproducing the graphical glitching on the latest mainline kernel. Without logs, developers can't do anything.

>"no kernel parameters: screens chained by MST DisplayPort mirror picture, visible as a single screen"

To clarify, can you change the mirror to an extended display via the GUI?

Also, is there graphical glitching in these modes?

>"radeon.mst=1 : screens chained by MST DisplayPort work properly (seen as separate screens), build screen doesn't work"

Same questions as above.

>"radeon.mst=1,radeon.dpm=1 : subsequentely flickering screens, not usable"

Need logs.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Incomplete
Adrian (adrianf0) wrote :

Ubuntu 17.10 with kernel 4.16-rc1, no kernel parameters, extended display in GUI.

The screens chained by MST DisplayPort mirror the view and are visible as a single screen. Build screen is seen as a second screen and works. No picture blinking.

Adrian (adrianf0) wrote :

Ubuntu 17.10 with kernel 4.16-rc1, radeon.mst=1, extended display in GUI.

The screens chained by MST DisplayPort are seen properly as separate screens. Build screen is seen in the GUI and although enabled there, remains blank. Periodically (~5s) screens become blank for ~1s.

Adrian (adrianf0) wrote :

Ubuntu 17.10 with kernel 4.16-rc1, radeon.mst=1 radeon.dpn=1, extended display in GUI.

The screens chained by MST DisplayPort are seen properly as separate screens. Build screen is seen in the GUI and although enabled there, remains blank. Periodically (~5s) screens become blank for ~1s.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Confirmed

Adrian:

1) To clarify, do you need to use radeon.dpm=1 for a reason or are you just testing it to see if it does anything different?

2) While using the latest mainline kernel, please attach dmesg and xorg in their entierty only for the scenario of when using radeon.mst=1, and please don't rename the log file names.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Incomplete
Adrian (adrianf0) wrote :

Christopher:

1) I used to have radeon.dpm=1 to save power (although, I don't have numbers how much better it is with respect to no parameter).

2) I can't.
My Ubuntu 17.10 (and according to my knowledge it's a trend in the community) runs with Wayland, not Xorg so there is not Xorg server with its log file. Thus, as suggested on the webpage (https://fedoraproject.org/wiki/How_to_debug_Wayland_problems), I use journalctl to combine all relevant log information. Thus, you do have entire logs, only with different file names.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Confirmed

Adrian, you should be able to boot into xorg instead of Wayland via the login screen.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Incomplete
Adrian (adrianf0) wrote :

Christopher, I believe Wayland is a default display server on Ubuntu nowadays (at least in 17.10).
As it is some hassle for me to set up the test environment and mess around with all the cables again, I would like to understand, why the logs I have enclosed are not good enough.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.